<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_INFO Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_INFO Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a8c135f83d41b378762e0f8d4c0c3dd22"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCK__VERSION.html">CK_VERSION</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__INFO.html#a8c135f83d41b378762e0f8d4c0c3dd22">cryptokiVersion</a></td></tr>
<tr class="separator:a8c135f83d41b378762e0f8d4c0c3dd22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a734f9aeeb46b5b72f35f7624900a7efe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a0b0f8118c33f8a96a6af834bbab1df0c">CK_UTF8CHAR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__INFO.html#a734f9aeeb46b5b72f35f7624900a7efe">manufacturerID</a> [32]</td></tr>
<tr class="separator:a734f9aeeb46b5b72f35f7624900a7efe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab168fc251b8b32a3bb0639f4986fce1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a53850492c1ba57aca4332be791a3c6a3">CK_FLAGS</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__INFO.html#aab168fc251b8b32a3bb0639f4986fce1">flags</a></td></tr>
<tr class="separator:aab168fc251b8b32a3bb0639f4986fce1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b17d88b8ad1d503e4897da501c38f02"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a0b0f8118c33f8a96a6af834bbab1df0c">CK_UTF8CHAR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__INFO.html#a0b17d88b8ad1d503e4897da501c38f02">libraryDescription</a> [32]</td></tr>
<tr class="separator:a0b17d88b8ad1d503e4897da501c38f02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a291242e173ab56616e7f122434a779b0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structCK__VERSION.html">CK_VERSION</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__INFO.html#a291242e173ab56616e7f122434a779b0">libraryVersion</a></td></tr>
<tr class="separator:a291242e173ab56616e7f122434a779b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00090">90</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a8c135f83d41b378762e0f8d4c0c3dd22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c135f83d41b378762e0f8d4c0c3dd22">&#9670;&nbsp;</a></span>cryptokiVersion</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCK__VERSION.html">CK_VERSION</a> cryptokiVersion</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00093">93</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="aab168fc251b8b32a3bb0639f4986fce1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab168fc251b8b32a3bb0639f4986fce1">&#9670;&nbsp;</a></span>flags</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a53850492c1ba57aca4332be791a3c6a3">CK_FLAGS</a> flags</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00095">95</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a0b17d88b8ad1d503e4897da501c38f02"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b17d88b8ad1d503e4897da501c38f02">&#9670;&nbsp;</a></span>libraryDescription</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a0b0f8118c33f8a96a6af834bbab1df0c">CK_UTF8CHAR</a> libraryDescription[32]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00098">98</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a291242e173ab56616e7f122434a779b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a291242e173ab56616e7f122434a779b0">&#9670;&nbsp;</a></span>libraryVersion</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structCK__VERSION.html">CK_VERSION</a> libraryVersion</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00099">99</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a734f9aeeb46b5b72f35f7624900a7efe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a734f9aeeb46b5b72f35f7624900a7efe">&#9670;&nbsp;</a></span>manufacturerID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a0b0f8118c33f8a96a6af834bbab1df0c">CK_UTF8CHAR</a> manufacturerID[32]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00094">94</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
